Get Episode
Get an episode’s details and artwork.
GET https://api.mediux.io/episodes/{episodeId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Episode with titlecards
Section titled “Episode with titlecards”Status: 200 OK
Response headers:
content-type: application/json; charset=utf-8{ "data": { "id": 3001, "kind": "episode", "title": "Winter Is Coming", "seasonNumber": 1, "episodeNumber": 1, "airDate": "2011-04-17", "show": { "id": 1399, "kind": "show", "title": "Example Show" }, "season": { "id": 20, "kind": "season", "title": "Season 1", "seasonNumber": 1 }, "assets": { "titlecards": [] } }}Episode not found
Section titled “Episode not found”Status: 404 Not Found
Response headers:
content-type: application/json; charset=utf-8{ "data": null, "error": { "code": "not_found", "message": "The requested resource was not found." }}